## seatd 0.5.0

=== meson_options.txt ===
option('logind', type: 'feature', value: 'disabled', description: 'logind support')
option('seatd', type: 'feature', value: 'enabled', description: 'seatd support')
option('builtin', type: 'feature', value: 'disabled', description: 'builtin seatd server')
option('server', type: 'feature', value: 'enabled', description: 'seatd server')
option('examples', type: 'feature', value: 'enabled', description: 'libseat example programs')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('defaultpath', type: 'string', value: '', description: 'Default location for seatd socket (empty for default)')

=== debian/changelog ===
seatd (0.5.0-2pureos1) byzantium; urgency=medium

  * Switch to building with libsystemd-dev
  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 08 Jul 2021 04:32:16 +0200

seatd (0.5.0-2) experimental; urgency=medium

  * Upload to Debian (Closes: #976048)
  * Use upstream contributed seatd.service.
  * Change to debhelper compat 13.
  * Add symbols file for libseat1
  * d/control: address lintian warnings
     - fix typo.
     - don't duplicate source Priority and Section in binary packages.

 -- Mark Hindley <leepen@debian.org>  Tue, 18 May 2021 18:42:29 +0100

seatd (0.5.0-1) unstable; urgency=medium

  * New upstream release 0.5.0.
  * Target unstable.
  * Remove obsolete README.Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 17 May 2021 16:02:45 +0100

seatd (0.4.0-1~rc1) experimental; urgency=medium

  * Initial packaging for Devuan

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 28 Nov 2020 17:38:08 +0000

=== debian/control ===
Source: seatd
Section: admin
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://git.devuan.org/devuan/seatd.git
Vcs-Browser: https://git.devuan.org/devuan/seatd
Homepage: https://git.sr.ht/~kennylevinsen/seatd
Build-Depends: debhelper-compat (= 13),
	       meson,
	       libsystemd-dev,
	       pkg-config,
	       scdoc (>= 1.9.7),

Package: seatd
Architecture: any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base (>= 3.1),
Recommends: libseat1
Description: minimal user, seat and session management daemon
 Lightweight standalone implementation.
 
Package: libseat1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
	 seatd | logind 
Description: flexible user, seat and session management library
 This library provides runtime access to user, seat and session management. The
 backend server used is configurable at runtime. Currently implemented backends
 are seatd, elogind or systemd-logind.

Package: libseat-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libseat1 (= ${binary:Version})
Description: flexible user, seat and session management library (development files)
 seatd session management development files.

## seatd 0.6.3

=== debian/changelog ===
seatd (0.6.3-1.0antix2) unstable; urgency=medium

  * replacement for libelogind0

 -- anticapitalista <antix@operamail.com>  Tue, 09 Nov 2021 15:00:56 +0200

seatd (0.6.3-1.0antix1) unstable; urgency=medium

  * latest upstream
  * antiX build 

 -- anticapitalista <antix@operamail.com>  Fri, 22 Oct 2021 14:27:35 +0300

seatd (0.5.0-4) unstable; urgency=medium

  * d/control: update to Standards Version 4.6.0 (no changes).
  * Build against libsystemd-dev (Closes: #994184).

 -- Mark Hindley <leepen@debian.org>  Mon, 13 Sep 2021 19:06:20 +0100

seatd (0.5.0-3) unstable; urgency=medium

  * d/control: specify branch in Vcs-Git.

 -- Mark Hindley <leepen@debian.org>  Mon, 30 Aug 2021 18:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <leepen@debian.org>
-Standards-Version: 4.5.1
-Vcs-Git: https://git.devuan.org/devuan/seatd.git
+Standards-Version: 4.6.0
+Vcs-Git: https://git.devuan.org/devuan/seatd.git -b debian/master
 Vcs-Browser: https://git.devuan.org/devuan/seatd
 Homepage: https://git.sr.ht/~kennylevinsen/seatd
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
 	       meson,
-	       libsystemd-dev,
+	       libseat-dev,
 	       pkg-config,
-	       scdoc (>= 1.9.7),
+	       scdoc (>= 1.9.7)
 
 Package: seatd
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: debconf, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
          lsb-base (>= 3.1),
 Recommends: libseat1
 Description: minimal user, seat and session management daemon
@@ -29,8 +28,10 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-	 seatd | logind 
+	 seatd | elogind | logind 
+Provides: libelogind0 (= ${source:Upstream-Version})
+Replaces: libelogind0
+Conflicts: libelogind0
 Description: flexible user, seat and session management library
  This library provides runtime access to user, seat and session management. The
  backend server used is configurable at runtime. Currently implemented backends

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --buildsystem=meson

CONFFLAGS = \
	-Dlibseat=enabled \
	-Dbuiltin=enabled \

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

## seatd 0.6.4

=== debian/changelog ===
seatd (0.6.4-1) unstable; urgency=high

  * New upstream version 0.6.4.
    - includes fix for CVE-2022-2564: file removal with escalated privileges
      via seatd-launch socket pathname (Closes: #1006308).
  * Patch to workaround spurious x32 compilation error by casting.
  * Improve autopkgtest output formatting.

 -- Mark Hindley <leepen@debian.org>  Wed, 23 Feb 2022 08:09:56 +0000

seatd (0.6.3-2) unstable; urgency=medium

  * Use correct path to seatd in seatd-launch.
  * Add autopkgtest using seatd-launch.

 -- Mark Hindley <leepen@debian.org>  Mon, 27 Dec 2021 18:33:55 +0000

seatd (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3.
  * Install new seatd-launch wrapper in /usr/bin/.
  * d/rules: update for changed meson option names.
  * d/control: Rules-Requires-Root: no.
  * Move seatd manpage to section 8 to match installation path.

 -- Mark Hindley <leepen@debian.org>  Sun, 26 Dec 2021 11:49:40 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,19 @@
 Vcs-Git: https://git.devuan.org/devuan/seatd.git -b debian/master
 Vcs-Browser: https://git.devuan.org/devuan/seatd
 Homepage: https://git.sr.ht/~kennylevinsen/seatd
-Build-Depends: debhelper-compat (= 12),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
 	       meson,
-	       libseat-dev,
+	       libsystemd-dev,
 	       pkg-config,
-	       scdoc (>= 1.9.7)
+	       scdoc (>= 1.9.7),
 
 Package: seatd
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: debconf, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
+         ${misc:Depends},
          lsb-base (>= 3.1),
 Recommends: libseat1
 Description: minimal user, seat and session management daemon
@@ -28,10 +30,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-	 seatd | elogind | logind 
-Provides: libelogind0 (= ${source:Upstream-Version})
-Replaces: libelogind0
-Conflicts: libelogind0
+         ${misc:Depends},
+	 seatd | logind 
 Description: flexible user, seat and session management library
  This library provides runtime access to user, seat and session management. The
  backend server used is configurable at runtime. Currently implemented backends

=== debian/tests/control ===
Tests: seatd-launch
Restrictions: allow-stderr

## seatd 0.7.0

=== debian/control ===
Source: seatd
Section: admin
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://git.devuan.org/devuan/seatd.git -b debian/master
Vcs-Browser: https://git.devuan.org/devuan/seatd
Homepage: https://git.sr.ht/~kennylevinsen/seatd
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libsystemd-dev,
               meson,
               pkg-config,
               scdoc (>= 1.9.7),

Package: seatd
Architecture: any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: lsb-base (>= 3.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: libseat1
Description: minimal user, seat and session management daemon
 Lightweight standalone implementation.

Package: libseat1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: seatd | logind, ${misc:Depends}, ${shlibs:Depends}
Description: flexible user, seat and session management library
 This library provides runtime access to user, seat and session management. The
 backend server used is configurable at runtime. Currently implemented backends
 are seatd, elogind or systemd-logind.

Package: libseat-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libseat1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: flexible user, seat and session management library (development files)
 seatd session management development files.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --buildsystem=meson

CONFFLAGS = \
	-Dlibseat-builtin=enabled \

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

=== debian/tests/control ===
Tests: seatd-launch
Restrictions: allow-stderr, needs-root

## seatd 0.8.0

=== meson_options.txt ===
option('libseat-logind', type: 'combo', choices: ['auto', 'disabled', 'elogind', 'systemd'], value: 'auto', description: 'logind support for libseat')
option('libseat-seatd', type: 'combo', choices: ['enabled', 'disabled'], value: 'enabled', description: 'seatd support for libseat')
option('libseat-builtin', type: 'combo', choices: ['enabled', 'disabled'], value: 'disabled', description: 'built-in seatd server for libseat')
option('server', type: 'combo', choices: ['enabled', 'disabled'], value: 'enabled', description: 'seatd server')
option('examples', type: 'combo', choices: ['enabled', 'disabled'], value: 'disabled', description: 'libseat example programs')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('defaultpath', type: 'string', value: '', description: 'Default location for seatd socket (empty for default)')

=== debian/changelog ===
seatd (0.8.0-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * d/control:
    - bump Standards Version (no changes).
    - drop obsolete lsb-base dependency.

 -- Mark Hindley <leepen@debian.org>  Mon, 31 Jul 2023 14:45:00 +0100

seatd (0.7.0-6) unstable; urgency=medium

  * Rework initscript using init-d-script and use start-stop-daemon
    --make-pidfile.
  * Add DAEMON_ARGS="-g video" in /etc/default/seatd for non-systemd
    inits.

 -- Mark Hindley <leepen@debian.org>  Wed, 14 Dec 2022 08:14:53 +0000

seatd (0.7.0-5) unstable; urgency=medium

  * meson.build: use shared_library() rather than library() to avoid
    unnecessary Requires.private in libseat.pc (Closes: #1013248).

 -- Mark Hindley <leepen@debian.org>  Fri, 24 Jun 2022 12:08:37 +0100

seatd (0.7.0-4) unstable; urgency=medium

  * d/t/seatd-launch requires needs-root.
  * d/t/control: remove unnecessary dependency on init-system-helpers.

 -- Mark Hindley <leepen@debian.org>  Tue, 07 Jun 2022 10:30:51 +0100

seatd (0.7.0-3) unstable; urgency=medium

  * d/t/control: add dependency on init-system-helpers.

 -- Mark Hindley <leepen@debian.org>  Tue, 31 May 2022 07:58:07 +0100

seatd (0.7.0-2) unstable; urgency=medium

  * d/t/seatd-launch: stop running seatd first.

 -- Mark Hindley <leepen@debian.org>  Mon, 30 May 2022 10:04:16 +0100

seatd (0.7.0-1) unstable; urgency=medium

  * Fix typo in previous CVE number.
  * New upstream version 0.7.0.
  * Refresh patches.
  * Wrap and sort.
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Sun, 29 May 2022 11:09:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <leepen@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://git.devuan.org/devuan/seatd.git -b debian/master
 Vcs-Browser: https://git.devuan.org/devuan/seatd
 Homepage: https://git.sr.ht/~kennylevinsen/seatd
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: debconf, ${misc:Pre-Depends}
-Depends: lsb-base (>= 3.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libseat1
 Description: minimal user, seat and session management daemon
  Lightweight standalone implementation.

## seatd 0.9.0

=== debian/changelog ===
seatd (0.9.0-1) unstable; urgency=medium

  * New upstream version.
  * d/contol: update Homepage. (Closes: #1037089)

 -- Mark Hindley <leepen@debian.org>  Fri, 17 Nov 2023 10:42:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 4.6.2
 Vcs-Git: https://git.devuan.org/devuan/seatd.git -b debian/master
 Vcs-Browser: https://git.devuan.org/devuan/seatd
-Homepage: https://git.sr.ht/~kennylevinsen/seatd
+Homepage: https://sr.ht/~kennylevinsen/seatd/
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libsystemd-dev,

## seatd 0.9.1

=== debian/changelog ===
seatd (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1.
  * d/t: add basic test of libseat-dev.
  * d/control: bump Standards Version (no changes).
  * Change pkg-config dependencies to pkgconf.

 -- Mark Hindley <leepen@debian.org>  Thu, 31 Oct 2024 07:16:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <leepen@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://git.devuan.org/devuan/seatd.git -b debian/master
 Vcs-Browser: https://git.devuan.org/devuan/seatd
 Homepage: https://sr.ht/~kennylevinsen/seatd/
@@ -10,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                libsystemd-dev,
                meson,
-               pkg-config,
+               pkgconf,
                scdoc (>= 1.9.7),
 
 Package: seatd

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4

https://git.sr.ht/~kennylevinsen/seatd/refs /~kennylevinsen/seatd/archive/(.+)\.tar\.gz

## seatd 0.9.2

=== debian/changelog ===
seatd (0.9.2-2) unstable; urgency=medium

  * d/rules: use dh_installinit --no-stop-on-upgrade. (Closes: #1125426)

 -- Mark Hindley <leepen@debian.org>  Wed, 14 Jan 2026 08:26:52 +0000

seatd (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - bump Standards Version (drop Prioity: Optional now it is the
      default)
    - only build-depend libsystemd-dev on linux.
    - update descriptions to be clearer that only seats are managed.
  * d/copyright: remove old FSF address (lintian).

 -- Mark Hindley <leepen@debian.org>  Tue, 06 Jan 2026 10:16:08 +0000

=== debian/control ===
Source: seatd
Section: admin
Maintainer: Mark Hindley <leepen@debian.org>
Standards-Version: 4.7.3
Vcs-Git: https://git.devuan.org/devuan/seatd.git -b debian/master
Vcs-Browser: https://git.devuan.org/devuan/seatd
Homepage: https://sr.ht/~kennylevinsen/seatd/
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libsystemd-dev [linux-any],
               meson,
               pkgconf,
               scdoc (>= 1.9.7),

Package: seatd
Architecture: any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libseat1
Description: minimal seat and user management daemon
 Lightweight standalone implementation.

Package: libseat1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: seatd | logind, ${misc:Depends}, ${shlibs:Depends}
Description: flexible seat and user management library
 This library provides runtime access to seat and user management. The
 backend server used is configurable at runtime. Currently implemented backends
 are seatd, elogind or systemd-logind.

Package: libseat-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libseat1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: flexible seat and user management library (development files)
 libseat interface development files.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFFLAGS)
+
+override_dh_installinit:
+	dh_installinit --no-stop-on-upgrade

## seatd 0.9.3

=== debian/changelog ===
seatd (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3

 -- Mark Hindley <leepen@debian.org>  Tue, 03 Mar 2026 11:04:34 +0000
